Get a specific ticket by ID.
curl --request GET \
--url https://public.api.serval.com/v2/tickets/{id} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "<string>",
"friendlyIdentifier": "<string>",
"teamId": "<string>",
"name": "<string>",
"description": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z",
"escalatedAt": "2023-11-07T05:31:56Z",
"createdByUserId": "<string>",
"assignedToUserId": "<string>",
"requesterUserId": "<string>",
"statusId": "<string>",
"escalationLevel": "AI",
"priorityId": "<string>",
"slaStartedAt": "2023-11-07T05:31:56Z",
"slaBreachesAt": "2023-11-07T05:31:56Z",
"labelIds": [
"<string>"
],
"type": "TICKET_TYPE_UNSPECIFIED",
"dueDate": {
"year": 123,
"month": 123,
"day": 123
},
"isOverdue": true,
"childTicketIds": [
"<string>"
],
"linkedTicketIds": [
"<string>"
],
"duplicateTicketIds": [
"<string>"
],
"dependsOnTicketIds": [
"<string>"
],
"parentTicketId": "<string>"
}
}Was this page helpful?
curl --request GET \
--url https://public.api.serval.com/v2/tickets/{id} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "<string>",
"friendlyIdentifier": "<string>",
"teamId": "<string>",
"name": "<string>",
"description": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z",
"escalatedAt": "2023-11-07T05:31:56Z",
"createdByUserId": "<string>",
"assignedToUserId": "<string>",
"requesterUserId": "<string>",
"statusId": "<string>",
"escalationLevel": "AI",
"priorityId": "<string>",
"slaStartedAt": "2023-11-07T05:31:56Z",
"slaBreachesAt": "2023-11-07T05:31:56Z",
"labelIds": [
"<string>"
],
"type": "TICKET_TYPE_UNSPECIFIED",
"dueDate": {
"year": 123,
"month": 123,
"day": 123
},
"isOverdue": true,
"childTicketIds": [
"<string>"
],
"linkedTicketIds": [
"<string>"
],
"duplicateTicketIds": [
"<string>"
],
"dependsOnTicketIds": [
"<string>"
],
"parentTicketId": "<string>"
}
}